> ## Documentation Index
> Fetch the complete documentation index at: https://mcp-use.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://mcp-use.com/docs/feedback

```json
{
  "path": "/python/api-reference/mcp_use_agents_managers_tools_list_servers_tool",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List Servers Tool

> List Servers Tool API Documentation

export const RandomGradientBackground = ({className, color, children, grayscaled = false}) => {
  const saturation = useMemo(() => {
    if (color) {
      const values = color.split("(")[1].split(")")[0].trim().split(/\s+/);
      return parseFloat(values[1] || "0");
    }
    return grayscaled ? 0 : 0.2;
  }, [color, grayscaled]);
  const lightness = useMemo(() => {
    if (color) {
      const values = color.split("(")[1].split(")")[0].trim().split(/\s+/);
      return parseFloat(values[0] || "0.5");
    }
    return grayscaled ? 0.3 : 0.4;
  }, [color, grayscaled]);
  const randomHue = useMemo(() => {
    if (color) {
      const values = color.split("(")[1].split(")")[0].trim().split(/\s+/);
      return parseFloat(values[2] || "0");
    }
    return Math.floor(Math.random() * 360);
  }, [color]);
  const randomColor = useMemo(() => {
    if (color) {
      return color;
    }
    return `oklch(${Math.min(lightness, 1)} ${saturation} ${randomHue})`;
  }, [randomHue, saturation, lightness]);
  const lightColor = useMemo(() => {
    return `oklch(${Math.min(lightness * 2, 1)} ${saturation} ${randomHue})`;
  }, [randomHue, saturation, lightness, color]);
  const direction = useMemo(() => {
    return Math.floor(Math.random() * 360);
  }, [randomHue]);
  const brightnessFilter = useMemo(() => {
    return "1000%";
  }, []);
  return <div className={`relative overflow-hidden ${className || ""}`} style={{
    background: `${lightColor}`,
    minHeight: '100%',
    width: '100%'
  }}>
      <div className="absolute inset-0 w-full h-full" style={{
    background: `linear-gradient(${direction}deg, ${randomColor}, transparent), url(https://grainy-gradients.vercel.app/noise.svg)`,
    filter: `contrast(120%) brightness(${brightnessFilter})`,
    backgroundSize: 'cover',
    backgroundRepeat: 'no-repeat'
  }} />
      {children && <div className="relative z-10 w-full h-full">{children}</div>}
    </div>;
};

<Callout type="info" title="Source Code">
  View the source code for this module on GitHub: <a href="https://github.com/mcp-use/mcp-use/blob/main/libraries/python/mcp_use/agents/managers/tools/list_servers_tool.py" target="_blank" rel="noopener noreferrer">[https://github.com/mcp-use/mcp-use/blob/main/libraries/python/mcp\_use/agents/managers/tools/list\_servers\_tool.py](https://github.com/mcp-use/mcp-use/blob/main/libraries/python/mcp_use/agents/managers/tools/list_servers_tool.py)</a>
</Callout>

## ListServersTool

<div>
  <RandomGradientBackground className="rounded-lg p-4 w-full h-full rounded-full">
    <div className="text-black">
      <div className="text-black font-bold text-xl mb-2 mt-8"><code className="!text-black">class</code> ListServersTool</div>

      Tool for listing available MCP servers.
    </div>
  </RandomGradientBackground>

  ```python theme={null}
  from mcp_use.agents.managers.tools.list_servers_tool import ListServersTool
  ```

  <Card type="info">
    **Attributes**

    >

    <ParamField body="name" type="ClassVar" required="True">   Name identifier </ParamField>
    <ParamField body="description" type="ClassVar" required="True">   Parameter value </ParamField>
    <ParamField body="args_schema" type="ClassVar" required="True">   Parameter value </ParamField>
  </Card>

  <Card type="info">
    ### `method` **init**

    Initialize with server manager.

    **Parameters**

    > <ParamField body="server_manager" required="True">   Server name or configuration </ParamField>

    **Signature**

    ```python wrap theme={null}
    def __init__(server_manager):
    ```
  </Card>
</div>

## listServersInput

<div>
  <RandomGradientBackground className="rounded-lg p-4 w-full h-full rounded-full">
    <div className="text-black">
      <div className="text-black font-bold text-xl mb-2 mt-8"><code className="!text-black">class</code> listServersInput</div>

      Empty input for listing available servers
    </div>
  </RandomGradientBackground>

  ```python theme={null}
  from mcp_use.agents.managers.tools.list_servers_tool import listServersInput
  ```

  <Card type="info">
    ### `method` **init**

    Create a new model by parsing and validating input data from keyword arguments.

    Raises \[`ValidationError`]\[pydantic\_core.ValidationError] if the input data cannot be
    validated to form a valid model.

    `self` is explicitly positional-only to allow `self` as a field name.

    **Parameters**

    > <ParamField body="data" type="Any" required="True">   Parameter value </ParamField>

    **Signature**

    ```python wrap theme={null}
    def __init__(data: Any):
    ```
  </Card>
</div>
